Ruby on Rails compatibility issues with Windows 2012

I use the 1.9.3 version of Ruby, there the Rails while using the 3.2.17

Whether this version is not compatible with Windows2012, enormous disk I / O is occurring at Ruby Process. You will care whether there is a problem with the version

Are you possibly running out of RAM? Have a look in whatever the
system monitor is called in windows to check whether the RAM is low
and it is swapping to disk, causing the high disk i/o.

Colin